package com.qianhe.mapper;

import com.qianhe.domain.SjGfjsYdjcjl;
import com.qianhe.domain.SjGfjsZsdwwtcj;

import java.util.List;

/**
 * 规范建设 月度检查记录Mapper接口
 *
 */
public interface SjGfjsYdjcjlMapper
{
    /**
     * 查询规范建设 月度检查记录
     *
     * @param id 规范建设 月度检查记录主键
     * @return 规范建设 月度检查记录
     */
    public SjGfjsYdjcjl selectSjGfjsYdjcjlById(Long id);

    /**
     * 查询规范建设 月度检查记录列表
     *
     * @param sjGfjsYdjcjl 规范建设 月度检查记录
     * @return 规范建设 月度检查记录集合
     */
    public List<SjGfjsYdjcjl> selectSjGfjsYdjcjlList(SjGfjsYdjcjl sjGfjsYdjcjl);

    public List<SjGfjsYdjcjl> selectSjGfjsYdjcjlList_main(SjGfjsYdjcjl sjGfjsYdjcjl);

    /**
     * 新增规范建设 月度检查记录
     *
     * @param sjGfjsYdjcjl 规范建设 月度检查记录
     * @return 结果
     */
    public int insertSjGfjsYdjcjl(SjGfjsYdjcjl sjGfjsYdjcjl);

    /**
     * 修改规范建设 月度检查记录
     *
     * @param sjGfjsYdjcjl 规范建设 月度检查记录
     * @return 结果
     */
    public int updateSjGfjsYdjcjl(SjGfjsYdjcjl sjGfjsYdjcjl);

    /**
     * 删除规范建设 月度检查记录
     *
     * @param id 规范建设 月度检查记录主键
     * @return 结果
     */
    public int deleteSjGfjsYdjcjlById(Long id);

    /**
     * 批量删除规范建设 月度检查记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjGfjsYdjcjlByIds(Long[] ids);

    /**
     * 批量删除规范建设 月度检查记录 问题从
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjGfjsZsdwwtcjByPids(Long[] ids);

    /**
     * 批量新增规范建设 月度检查记录 问题从
     *
     * @param sjGfjsZsdwwtcjList 规范建设 月度检查记录 问题从列表
     * @return 结果
     */
    public int batchSjGfjsZsdwwtcj(List<SjGfjsZsdwwtcj> sjGfjsZsdwwtcjList);


    /**
     * 通过规范建设 月度检查记录主键删除规范建设 月度检查记录 问题从信息
     *
     * @param id 规范建设 月度检查记录ID
     * @return 结果
     */
    public int deleteSjGfjsZsdwwtcjByPid(Long id);





    public List<SjGfjsZsdwwtcj> selectSjGfjsZsdwwtcjList(SjGfjsZsdwwtcj sjGfjsZsdwwtcj);
    
    
}
